{ lib, nur, ... }:
{
  imports = [
    ./files
    ./programs
    ./services
    ./settings
    ./user
    ./variables
    ./wms
    ../variables

    # Imports
    nur.modules.homeManager.default
  ];

  options.home = with lib; {
    desktop.enable = mkEnableOption "Enable desktop programs and services.";
    gaming.enable = mkEnableOption "Enable gaming apps and programs";
    production.enable = mkEnableOption "Enable apps for visual productivity";
    remote-desktop.enable = mkEnableOption "Enable apps for visual productivity";
    school.enable = mkEnableOption "Enable apps for visual productivity";
  };

  config.home.stateVersion = "24.11";
}
